#ifndef CFG_DEFS_H
#define CFG_DEFS_H 1

static CONST struct {
	CONST char *name;
	CONST char *value;
} config_cache[] = {
	{ "SYSTEM_MAIL",	"'/usr/lib/sendmail'" },
	{ "alt_char_set",	"'acs_map'" },
	{ "ansi_varargs",	"'yes'" },
	{ "baddef_remove",	"'no'" },
	{ "bool_defs",	"'yes'" },
	{ "c_const",	"'yes'" },
	{ "c_inline",	"'inline'" },
	{ "color_curses",	"'yes'" },
	{ "curs_performance",	"'no'" },
	{ "dcl_errno",	"'yes'" },
	{ "dcl_sys_errlist",	"'no'" },
	{ "dcl_sys_nerr",	"'no'" },
	{ "ebcdic",	"'no'" },
	{ "fancy_curses",	"'yes'" },
	{ "fionbio",	"'fcntl'" },
	{ "func___argz_count",	"'no'" },
	{ "func___argz_next",	"'no'" },
	{ "func___argz_stringify",	"'no'" },
	{ "func_alloca_works",	"'yes'" },
	{ "func_assume_default_colors",	"'no'" },
	{ "func_cbreak",	"'yes'" },
	{ "func_cuserid",	"'yes'" },
	{ "func_decl_getgrgid",	"'yes'" },
	{ "func_decl_getgrnam",	"'yes'" },
	{ "func_decl_strstr",	"'yes'" },
	{ "func_define_key",	"'no'" },
	{ "func_getattrs",	"'yes'" },
	{ "func_getbegx",	"'yes'" },
	{ "func_getbegy",	"'yes'" },
	{ "func_getcwd",	"'yes'" },
	{ "func_getgroups",	"'yes'" },
	{ "func_gethostbyname",	"'yes'" },
	{ "func_gethostname",	"'yes'" },
	{ "func_getpagesize",	"'yes'" },
	{ "func_gettimeofday",	"'yes'" },
	{ "func_getuid",	"'yes'" },
	{ "func_initscr",	"'no'" },
	{ "func_keypad",	"'yes'" },
	{ "func_lstat",	"'yes'" },
	{ "func_mkstemp",	"'yes'" },
	{ "func_mktemp",	"'yes'" },
	{ "func_mktime",	"'yes'" },
	{ "func_mmap_fixed_mapped",	"'yes'" },
	{ "func_munmap",	"'yes'" },
	{ "func_popen",	"'yes'" },
	{ "func_putenv",	"'yes'" },
	{ "func_rand",	"'yes'" },
	{ "func_readdir",	"'yes'" },
	{ "func_resizeterm",	"'no'" },
	{ "func_setenv",	"'no'" },
	{ "func_setlocale",	"'yes'" },
	{ "func_setuid",	"'yes'" },
	{ "func_sigaction",	"'yes'" },
	{ "func_socket",	"'yes'" },
	{ "func_srand",	"'yes'" },
	{ "func_stpcpy",	"'no'" },
	{ "func_strcasecmp",	"'yes'" },
	{ "func_strchr",	"'yes'" },
	{ "func_strdup",	"'yes'" },
	{ "func_strerror",	"'yes'" },
	{ "func_strstr",	"'yes'" },
	{ "func_tgoto",	"'no'" },
	{ "func_truncate",	"'yes'" },
	{ "func_unsetenv",	"'no'" },
	{ "func_use_default_colors",	"'no'" },
	{ "func_vasprintf",	"'no'" },
	{ "func_vfork_works",	"'no'" },
	{ "func_waitpid",	"'yes'" },
	{ "func_wborder",	"'yes'" },
	{ "func_wredrawln",	"'yes'" },
	{ "gnu_source",	"'no'" },
	{ "have_errno",	"'yes'" },
	{ "have_h_errno",	"'yes'" },
	{ "have_inet_addr",	"'yes'" },
	{ "have_inet_aton",	"'no'" },
	{ "have_sys_errlist",	"'yes'" },
	{ "have_sys_nerr",	"'yes'" },
	{ "have_ttytype",	"'yes'" },
	{ "have_utmp",	"'utmpx'" },
	{ "header_alloca_h",	"'yes'" },
	{ "header_argz_h",	"'no'" },
	{ "header_arpa_inet_h",	"'yes'" },
	{ "header_dirent_dirent_h",	"'yes'" },
	{ "header_fcntl_h",	"'yes'" },
	{ "header_intl",	"'intl/libintl.h'" },
	{ "header_libgt",	"'intl/libgettext.h'" },
	{ "header_limits_h",	"'yes'" },
	{ "header_locale_h",	"'yes'" },
	{ "header_malloc_h",	"'yes'" },
	{ "header_nl_types_h",	"'yes'" },
	{ "header_stdarg_h",	"'yes'" },
	{ "header_stdc",	"'yes'" },
	{ "header_stdlib_h",	"'yes'" },
	{ "header_string_h",	"'yes'" },
	{ "header_sys_fcntl_h",	"'yes'" },
	{ "header_sys_filio_h",	"'yes'" },
	{ "header_sys_ioctl_h",	"'yes'" },
	{ "header_sys_param_h",	"'yes'" },
	{ "header_sys_time_h",	"'yes'" },
	{ "header_sys_wait_h",	"'yes'" },
	{ "header_syslog_h",	"'yes'" },
	{ "header_termio_h",	"'yes'" },
	{ "header_termios_h",	"'yes'" },
	{ "header_time",	"'yes'" },
	{ "header_unistd_h",	"'yes'" },
	{ "header_varargs_h",	"'yes'" },
	{ "header_vfork_h",	"'no'" },
	{ "lib_cursesX_initscr",	"'no'" },
	{ "lib_curses_initscr",	"'yes'" },
	{ "lib_dir_opendir",	"'no'" },
	{ "lib_inet_main",	"'no'" },
	{ "lib_nsl_gethostbyname",	"'yes'" },
	{ "lib_socket_socket",	"'yes'" },
	{ "lib_termcap_tgoto",	"'yes'" },
	{ "locale",	"'yes'" },
	{ "ncurses_header",	"'curses.h'" },
	{ "ncurses_version",	"'no'" },
	{ "need_xopen_extension",	"'no'" },
	{ "netlibs",	"'-lnsl -lsocket '" },
	{ "ngroups",	"'NGROUPS_MAX'" },
	{ "path_BZIP2",	"'bzip2'" },
	{ "path_CHMOD",	"'/usr/local/bin/chmod'" },
	{ "path_COMPRESS",	"'/bin/compress'" },
	{ "path_COPY",	"'/usr/local/bin/cp'" },
	{ "path_GZIP",	"'/usr/local/bin/gzip'" },
	{ "path_INSTALL",	"'/usr/local/bin/install -c'" },
	{ "path_MKDIR",	"'/usr/local/bin/mkdir'" },
	{ "path_MV",	"'/usr/local/bin/mv'" },
	{ "path_RLOGIN",	"'/bin/rlogin'" },
	{ "path_RM",	"'/usr/local/bin/rm'" },
	{ "path_TAR",	"'/usr/local/bin/tar'" },
	{ "path_TELNET",	"'/bin/telnet'" },
	{ "path_TN3270",	"'tn3270'" },
	{ "path_TOUCH",	"'/usr/local/bin/touch'" },
	{ "path_UNCOMPRESS",	"'/usr/local/bin/gunzip'" },
	{ "path_UNZIP",	"'/bin/unzip'" },
	{ "path_UUDECODE",	"'/bin/uudecode'" },
	{ "path_ZCAT",	"'/usr/local/bin/zcat'" },
	{ "path_ZIP",	"'zip'" },
	{ "path_install",	"'/usr/local/bin/install -c'" },
	{ "prog_CC",	"'gcc'" },
	{ "prog_CPP",	"'gcc -E'" },
	{ "prog_LINT",	"'lint'" },
	{ "prog_LN_S",	"'ln -s'" },
	{ "prog_RANLIB",	"'ranlib'" },
	{ "prog_cc_cross",	"'no'" },
	{ "prog_cc_g",	"'yes'" },
	{ "prog_cc_works",	"'yes'" },
	{ "prog_gcc",	"'yes'" },
	{ "prog_make_make_set",	"'yes'" },
	{ "screen",	"'curses'" },
	{ "set_errno",	"'yes'" },
	{ "sizechange",	"'yes'" },
	{ "system_mail_flags",	"'-t -oi'" },
	{ "system_name",	"'solaris2.7'" },
	{ "termio_and_curses",	"'yes'" },
	{ "termio_and_termios",	"'yes'" },
	{ "type_getgroups",	"'gid_t'" },
	{ "type_mode_t",	"'yes'" },
	{ "type_off_t",	"'yes'" },
	{ "type_pid_t",	"'yes'" },
	{ "type_size_t",	"'yes'" },
	{ "type_uid_t",	"'yes'" },
	{ "type_unionwait",	"'no'" },
	{ "use_libsocks5",	"'no'" },
	{ "use_libsocks",	"'no'" },
	{ "val_LC_MESSAGES",	"'yes'" },
};

static CONST struct {
	CONST char *name;
	CONST char *value;
} config_defines[] = {
	{ "ALT_CHAR_SET",	"acs_map" },
	{ "ANSI_VARARGS",	"1" },
	{ "BZIP2_PATH",	"\"bzip2\"" },
	{ "CAN_SET_ERRNO",	"1" },
	{ "CHMOD_PATH",	"\"/usr/local/bin/chmod\"" },
	{ "COLOR_CURSES",	"1" },
	{ "COMPRESS_PATH",	"\"/bin/compress\"" },
	{ "COPY_PATH",	"\"/usr/local/bin/cp\"" },
	{ "DECL_SYS_ERRLIST",	"1" },
	{ "DIRED_SUPPORT",	"1" },
	{ "DISP_PARTIAL",	"1" },
	{ "DONT_TRACK_INTERNAL_LINKS",	"1" },
	{ "EXP_ALT_BINDINGS",	"1" },
	{ "EXP_PERSISTENT_COOKIES",	"1" },
	{ "FANCY_CURSES",	"1" },
	{ "GETGROUPS_T",	"gid_t" },
	{ "GZIP_PATH",	"\"/usr/local/bin/gzip\"" },
	{ "HAVE_ALLOCA",	"1" },
	{ "HAVE_ALLOCA_H",	"1" },
	{ "HAVE_ARPA_INET_H",	"1" },
	{ "HAVE_CBREAK",	"1" },
	{ "HAVE_CUSERID",	"1" },
	{ "HAVE_DIRENT_H",	"1" },
	{ "HAVE_FCNTL_H",	"1" },
	{ "HAVE_GETATTRS",	"1" },
	{ "HAVE_GETBEGX",	"1" },
	{ "HAVE_GETBEGY",	"1" },
	{ "HAVE_GETBKGD",	"1" },
	{ "HAVE_GETCWD",	"1" },
	{ "HAVE_GETGROUPS",	"1" },
	{ "HAVE_GETTIMEOFDAY",	"1" },
	{ "HAVE_GETUID",	"1" },
	{ "HAVE_H_ERRNO",	"1" },
	{ "HAVE_KEYPAD",	"1" },
	{ "HAVE_LC_MESSAGES",	"1" },
	{ "HAVE_LIMITS_H",	"1" },
	{ "HAVE_LOCALE_H",	"1" },
	{ "HAVE_LSTAT",	"1" },
	{ "HAVE_MALLOC_H",	"1" },
	{ "HAVE_MKSTEMP",	"1" },
	{ "HAVE_MKTEMP",	"1" },
	{ "HAVE_MMAP",	"1" },
	{ "HAVE_MUNMAP",	"1" },
	{ "HAVE_NL_TYPES_H",	"1" },
	{ "HAVE_POPEN",	"1" },
	{ "HAVE_PUTENV",	"1" },
	{ "HAVE_RAND",	"1" },
	{ "HAVE_READDIR",	"1" },
	{ "HAVE_SETLOCALE",	"1" },
	{ "HAVE_SETUID",	"1" },
	{ "HAVE_SIGACTION",	"1" },
	{ "HAVE_SIZECHANGE",	"1" },
	{ "HAVE_SRAND",	"1" },
	{ "HAVE_STDARG_H",	"1" },
	{ "HAVE_STDLIB_H",	"1" },
	{ "HAVE_STRCASECMP",	"1" },
	{ "HAVE_STRCHR",	"1" },
	{ "HAVE_STRERROR",	"1" },
	{ "HAVE_STRING_H",	"1" },
	{ "HAVE_SYSLOG_H",	"1" },
	{ "HAVE_SYS_FCNTL_H",	"1" },
	{ "HAVE_SYS_FILIO_H",	"1" },
	{ "HAVE_SYS_IOCTL_H",	"1" },
	{ "HAVE_SYS_PARAM_H",	"1" },
	{ "HAVE_SYS_WAIT_H",	"1" },
	{ "HAVE_TERMIOS_H",	"1" },
	{ "HAVE_TERMIO_H",	"1" },
	{ "HAVE_TRUNCATE",	"1" },
	{ "HAVE_TTYTYPE",	"1" },
	{ "HAVE_UNISTD_H",	"1" },
	{ "HAVE_UTMP",	"1" },
	{ "HAVE_VARARGS_H",	"1" },
	{ "HAVE_WAITPID",	"1" },
	{ "HAVE_WBORDER",	"1" },
	{ "HAVE_WREDRAWLN",	"1" },
	{ "INSTALL_ARGS",	"\"-c\"" },
	{ "INSTALL_PATH",	"\"/usr/local/bin/install\"" },
	{ "LOCALE",	"1" },
	{ "LONG_LIST",	"1" },
	{ "LYNX_CFG_FILE",	"\"/usr/local/lib/lynx.cfg\"" },
	{ "LYNX_CFG_H",	"1" },
	{ "MKDIR_PATH",	"\"/usr/local/bin/mkdir\"" },
	{ "MV_PATH",	"\"/usr/local/bin/mv\"" },
	{ "NGROUPS",	"NGROUPS_MAX" },
	{ "OK_GZIP",	"1" },
	{ "OK_OVERRIDE",	"1" },
	{ "OK_PERMIT",	"1" },
	{ "OK_TAR",	"1" },
	{ "OK_UUDECODE",	"1" },
	{ "OK_ZIP",	"1" },
	{ "RLOGIN_PATH",	"\"/bin/rlogin\"" },
	{ "RM_PATH",	"\"/usr/local/bin/rm\"" },
	{ "STDC_HEADERS",	"1" },
	{ "SYSTEM_MAIL",	"\"/usr/lib/sendmail\"" },
	{ "SYSTEM_MAIL_FLAGS",	"\"-t -oi\"" },
	{ "SYSTEM_NAME",	"\"solaris2.7\"" },
	{ "TAR_PATH",	"\"/usr/local/bin/tar\"" },
	{ "TELNET_PATH",	"\"/bin/telnet\"" },
	{ "TERMIO_AND_CURSES",	"1" },
	{ "TN3270_PATH",	"\"tn3270\"" },
	{ "TOUCH_PATH",	"\"/usr/local/bin/touch\"" },
	{ "UNCOMPRESS_PATH",	"\"/usr/local/bin/gunzip\"" },
	{ "UNIX",	"1" },
	{ "UNZIP_PATH",	"\"/bin/unzip\"" },
	{ "USE_EXTERNALS",	"1" },
	{ "USE_FCNTL",	"1" },
	{ "UTMPX_FOR_UTMP",	"1" },
	{ "UUDECODE_PATH",	"\"/bin/uudecode\"" },
	{ "ZCAT_PATH",	"\"/usr/local/bin/zcat\"" },
	{ "ZIP_PATH",	"\"zip\"" },
	{ "lstat",	"stat" },
	{ "vfork",	"fork" },
};

#endif /* CFG_DEFS_H */
